<?php
/**
 * Nutrilite Lite Theme Customizer
 *
 * @package Nutrilite Lite
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function nutrilite_lite_customize_register( $wp_customize ) {
	
function nutrilite_lite_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
	$wp_customize->get_setting( 'blogname' )->nutrilite_lite         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->nutrilite_lite  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
	    'selector' => '.site-title a',
	    'render_callback' => 'nutrilite-lite_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
	    'selector' => '.site-title p',
	    'render_callback' => 'nutrilite-lite_customize_partial_blogdescription',
	) );

	$wp_customize->add_setting('nutri_headerbg-color', array(
		'default' => '#ffffff',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'nutri_headerbg-color',array(
			'label' => __('Header Background color','nutrilite-lite'),
			'description'	=> __('Select background color for header.','nutrilite-lite'),
			'section' => 'colors',
			'settings' => 'nutri_headerbg-color'
		))
	);
		
	$wp_customize->add_setting('nutri_color_scheme', array(
		'default' => '#031a06',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'nutri_color_scheme',array(
			'label' => __('Color Scheme','nutrilite-lite'),
			'description'	=> __('Select theme main color from here.','nutrilite-lite'),
			'section' => 'colors',
			'settings' => 'nutri_color_scheme'
		))
	);

	$wp_customize->add_setting('nutri_sub_color_scheme', array(
		'default' => '#fb861e',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'nutri_sub_color_scheme',array(
			'description'	=> __('Select theme sub color from here.','nutrilite-lite'),
			'section' => 'colors',
			'settings' => 'nutri_sub_color_scheme'
		))
	);
	
	$wp_customize->add_setting('nutri_footer-color', array(
		'default' => '#35ac46',
		'sanitize_callback'	=> 'sanitize_hex_color',
	));
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control($wp_customize,'nutri_footer-color',array(
			'label' => __('Footer Background color','nutrilite-lite'),
			'description'	=> __('Select background color for footer.','nutrilite-lite'),
			'section' => 'colors',
			'settings' => 'nutri_footer-color'
		))
	);

	/**
	**	Header Information
	**/
	$wp_customize->add_section(
        'nutri_header_info',
        array(
            'title' => __('Header Information', 'nutrilite-lite'),
            'priority' => null,
			'description'	=> __('Add information for main header here.','nutrilite-lite'),	
        )
    );

    $wp_customize->add_setting('nutri_head_mail',array(
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('nutri_head_mail',array(
		'type'	=> 'text',
		'label'	=> __('Add E-mail address here','nutrilite-lite'),
		'section'	=> 'nutri_header_info'
	));

	$wp_customize->add_setting('nutri_head_phn',array(
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('nutri_head_phn',array(
		'type'	=> 'text',
		'label'	=> __('Add phone number here','nutrilite-lite'),
		'section'	=> 'nutri_header_info'
	));

	$wp_customize->add_setting('nutri_head_add',array(
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('nutri_head_add',array(
		'type'	=> 'text',
		'label'	=> __('Add company address here','nutrilite-lite'),
		'section'	=> 'nutri_header_info'
	));
	
	$wp_customize->add_setting('nutri_cta_btn',array(
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('nutri_cta_btn',array(
		'type'	=> 'text',
		'label'	=> __('Add CTA button label here','nutrilite-lite'),
		'section'	=> 'nutri_header_info'
	));

	$wp_customize->add_setting('nutri_cta_btn_link',array(
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('nutri_cta_btn_link',array(
		'type'	=> 'url',
		'label'	=> __('Add CTA button link here.','nutrilite-lite'),
		'section'	=> 'nutri_header_info'
	));

	$wp_customize->add_setting('disable_headinfo',array(
		'default' => true,
		'sanitize_callback' => 'nutrilite_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	));

	$wp_customize->add_control( 'disable_headinfo', array(
		'settings' => 'disable_headinfo',
		'section'   => 'nutri_header_info',
		'label'     => __('Check this to hide section.','nutrilite-lite'),
		'type'      => 'checkbox'
     ));

	/**
	**	Slider Start
	**/

	$wp_customize->add_section(
        'slider_rotator',
        array(
            'title' => __('Slider', 'nutrilite-lite'),
            'priority' => null,
			'description'	=> __('Recommended image size (1420x720). Slider will work only when you select the static front page.','nutrilite-lite'),	
        )
    );

    $wp_customize->add_setting('slide_subheading',array(
		'default'	=> __('','nutrilite-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('slide_subheading',array(
		'label'	=> __('Add slide sub heading text.','nutrilite-lite'),
		'section'	=> 'slider_rotator',
		'setting'	=> 'slide_subheading',
		'type'	=> 'text'
	));

    $wp_customize->add_setting('slider-slide1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('slider-slide1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide one:','nutrilite-lite'),
		'section'	=> 'slider_rotator'
	));

	$wp_customize->add_setting('slider-slide2',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('slider-slide2',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide two:','nutrilite-lite'),
		'section'	=> 'slider_rotator'
	));

	$wp_customize->add_setting('slider-slide3',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('slider-slide3',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for slide three:','nutrilite-lite'),
		'section'	=> 'slider_rotator'
	));

	$wp_customize->add_setting('slide_moretext',array(
		'default'	=> __('View Plans','nutrilite-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('slide_moretext',array(
		'label'	=> __('Add slider button text.','nutrilite-lite'),
		'section'	=> 'slider_rotator',
		'setting'	=> 'slide_moretext',
		'type'	=> 'text'
	));
	
	$wp_customize->add_setting('disable_slider',array(
		'default' => true,
		'sanitize_callback' => 'nutrilite_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	)); 

	$wp_customize->add_control( 'disable_slider', array(
	   'settings' => 'disable_slider',
	   'section'   => 'slider_rotator',
	   'label'     => __('Check this to hide slider.','nutrilite-lite'),
	   'type'      => 'checkbox'
    ));

	/**
	**	Homepage Sections
	**/

	$wp_customize->add_section(
        'nutri_welcome_Sec',
        array(
            'title' => __('Welcome Section', 'nutrilite-lite'),
            'priority' => null,
			'description'	=> __('Select page for display content in homepage. This section will be displayed only when you select the static front page.','nutrilite-lite'),	
        )
    );

	$wp_customize->add_setting('nutri_welcome_subttl',array(
		'default'	=> __('','nutrilite-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('nutri_welcome_subttl',array(
		'label'	=> __('Add section sub title here','nutrilite-lite'),
		'section'	=> 'nutri_welcome_Sec',
		'setting'	=> 'nutri_welcome_subttl',
		'type'	=> 'text'
	));

    $wp_customize->add_setting('welcome_page1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('welcome_page1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for Welcome section','nutrilite-lite'),
		'section'	=> 'nutri_welcome_Sec'
	));

	$wp_customize->add_setting('nutri_welcome_more',array(
		'default'	=> __('Read More','nutrilite-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('nutri_welcome_more',array(
		'label'	=> __('Add read more button text.','nutrilite-lite'),
		'section'	=> 'nutri_welcome_Sec',
		'setting'	=> 'nutri_welcome_more',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('nutri_hide_fsec',array(
		'default' => true,
		'sanitize_callback' => 'nutrilite_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'nutri_hide_fsec', array(
		'settings' => 'nutri_hide_fsec',
		'section'   => 'nutri_welcome_Sec',
		'label'     => __('Check this to hide section.','nutrilite-lite'),
		'type'      => 'checkbox'
     ));

    /**
	**	Setting up HomePage
	**/

	$wp_customize->add_section(
        'nutri_service_sec',
        array(
            'title' => __('Services Section', 'nutrilite-lite'),
            'priority' => null,
			'description'	=> __('Select pages for display content in homepage. This section will be displayed only when you select the static front page.','nutrilite-lite'),	
        )
    );

	$wp_customize->add_setting('nutri_service_title',array(
		'default'	=> __('','nutrilite-lite'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('nutri_service_title',array(
		'label'	=> __('Add section title here','nutrilite-lite'),
		'section'	=> 'nutri_service_sec',
		'setting'	=> 'nutri_service_title',
		'type'	=> 'text'
	));

    $wp_customize->add_setting('ser_page1',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('ser_page1',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for first box','nutrilite-lite'),
		'section'	=> 'nutri_service_sec'
	));

	$wp_customize->add_setting('ser_page2',array(
		'default' => '0',
		'capability' => 'edit_theme_options',
		'sanitize_callback'	=> 'absint'
	));
	
	$wp_customize->add_control('ser_page2',array(
		'type'	=> 'dropdown-pages',
		'label'	=> __('Select page for second box','nutrilite-lite'),
		'section'	=> 'nutri_service_sec'
	));

	$wp_customize->add_setting('nutri_hide_ser',array(
		'default' => true,
		'sanitize_callback' => 'nutrilite_lite_sanitize_checkbox',
		'capability' => 'edit_theme_options',
	));	 

	$wp_customize->add_control( 'nutri_hide_ser', array(
		'settings' => 'nutri_hide_ser',
		'section'   => 'nutri_service_sec',
		'label'     => __('Check this to hide section.','nutrilite-lite'),
		'type'      => 'checkbox'
     ));
}
add_action( 'customize_register', 'nutrilite_lite_customize_register' );	

function nutrilite_lite_css(){
		?>
        <style>
			#header,
			.main-header .left-area,
			.sitenav ul li.menu-item-has-children:hover > ul,
			.sitenav ul li.menu-item-has-children:focus > ul,
			.sitenav ul li.menu-item-has-children.focus > ul{
				background-color:<?php echo esc_attr(get_theme_mod('nutri_headerbg-color','#ffffff')); ?>;
			}
			a, 
			.tm_client strong,
			.postmeta a:hover,
			#sidebar ul li a:hover,
			.blog-post h3.entry-title,
			a.blog-more:hover,
			#commentform input#submit,
			input.search-submit,
			.blog-date .date,
			.welcome-content a.welcome-more:hover span,
			.welcome-content h2,
			h2.section_title,
			.service-content h3 a,
			.sitenav ul li a,
			.sitenav ul li.current_page_item ul li a{
				color:<?php echo esc_attr(get_theme_mod('nutri_color_scheme','#031a06')); ?>;
			}
			h3.widget-title,
			.nav-links .current,
			.nav-links a:hover,
			p.form-submit input[type="submit"],
			.header-info,
			.header-info:after,
			.nivo-caption,
			.welcome-content a.welcome-more,
			.welcome-content a.welcome-more:hover em{
				background-color:<?php echo esc_attr(get_theme_mod('nutri_color_scheme','#031a06')); ?>;
			}
			.site-title p,
			.head-cell i,
			.sitenav ul li.current_page_item a,
			.sitenav ul li a:hover,
			.sitenav ul li.current_page_item ul li a:hover,
			.home-banner h4,
			.service-thumb
			{
				color:<?php echo esc_attr(get_theme_mod('nutri_sub_color_scheme','#fb861e')); ?>;
			}
			.cta-button a,
			h4.subheading,
			.welcome-thumb:before,
			h4.subheading::after
			{
				background-color:<?php echo esc_attr(get_theme_mod('nutri_sub_color_scheme','#fb861e')); ?>;
			}
			
			.copyright-wrapper{
				background-color:<?php echo esc_attr(get_theme_mod('nutri__footer-color','#35ac46')); ?>;
			}
		</style>
	<?php }
add_action('wp_head','nutrilite_lite_css');

function nutrilite_lite_customize_preview_js() {
	wp_enqueue_script( 'nutrilite-lite-customize-preview', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'nutrilite_lite_customize_preview_js' );